// テキストファイル内の文字を720ピクセル以内に収まるように配置し連番ファイルで保存する
(function(){
	var psdFile = File.openDialog("基本となるPSDファイルを選択してください","*.psd");
	if (!psdFile){ return; }	// キャンセルされたら何もしない
	var textFile =  File.openDialog("配置するテキストファイルを選択してください","*.txt");
	if (!textFile){ return; }	// キャンセルされたら何もしない
	var saveFolder =  Folder.selectDialog("保存先のフォルダを選択してください");
	if (!saveFolder){ return; }	// キャンセルされたら何もしない
	var count = 0;	// ファイル番号
	var maxSize = 720;	// 最大ピクセル数
	//　PSD形式保存オプション
	psdOpt = new PhotoshopSaveOptions();
	psdOpt.alphaChannels = true;
	psdOpt.annotations = true;
	psdOpt.embedColorProfile = true;
	psdOpt.layers = true;
	psdOpt.spotColors = true;
	var flag = textFile.open("r");
	if (!flag){
		alert("ファイルが読み込めません");
		return;
	}
	while(!textFile.eof){
		app.open(psdFile);
		var text = textFile.readln();	// 1行読み込む
		var layObj = app.activeDocument.layers[0];	// 一番上のレイヤーを指定
		layObj.textItem.contents = text;
		var x1 = layObj.bounds[0].value;
		var x2 = layObj.bounds[2].value;
		var d = x2 - x1;
		if (d >= maxSize){	// オーバーフローしている
			$.writeln("d="+maxSize / d);
			layObj.textItem.horizontalScale = 100 * (maxSize / d);
		}
		var saveFile = new File(saveFolder.fullName+"/telop"+count+".psd");	// telop番号.psdという名前で保存する
		activeDocument.saveAs(saveFile, psdOpt, true, Extension.LOWERCASE);
		activeDocument.close(SaveOptions.DONOTSAVECHANGES);
		count++;
	}
})();
